Subject: bug#57334: 28.1; Fix wdired with (dired '(dir f1 f2 ...))

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Aug 2022 14:26:58 +0300

> From: Thierry Volpiatto <[email-masked]>
> Date: Mon, 22 Aug 2022 06:23:52 +0000
> 
> there is an action in helm that allows creating a dired buffer with
> marked files for further editing with wdired.
> For this I have to call dired with its dirname argument as a list:
>   (dired ' (dir f1 f2 f3))
> Unfortunately this is broken since years and until now I had to use an advice
> to fix it.
> The advice is working up to emacs-28.1 but now it becomes difficult to
> write an advice compatible with all emacs versions, here is a patch to
> apply on 29.0.50.
> 
> To reproduce the bug from emacs -Q:
> 
> 1) Ensure ~/tmp/test.txt and ~/tmp/test2.txt exist
> 2) (dired '("~/tmp" "/home/thierry/tmp/test.txt" "/home/thierry/tmp/test2.txt"))
> 3) M-x wdired-change-to-dired-mode (C-x C-q)
> 4) Rename test.txt to test1.txt
> 5) C-x C-s

Is this the same problem as reported here:

  https://lists.gnu.org/archive/html/help-gnu-emacs/2022-08/msg00093.html

And if so, does the patch I posted in response, here:

  https://lists.gnu.org/archive/html/help-gnu-emacs/2022-08/msg00102.html

solve it, perhaps?